1.5.1 rc가 나왔습니다.

자세한 내용은 이곳을 보면될것 같습니다..

다른 업데이트 별로 관심이 안가는데 그동안 메일링리스트에서 문제가 됬던.
1.4에서 1.5로 업그레이드할때 json.js를 같이 사용할경우 request가 작동이 안되는
문제가 있었는데. 그것이 해결됬네요.

문제의 원인으로는 prototype.js를 사용할경우 Object를 확장시킬경우 문제가 된다고 합니다.
그래서 json.js의 Object.toJSONString 매소드때문에 문제가 됬었는데
이번 버전에서는 json.js제공하는 것을 모두 제공하니 더이상 쓸필요가 없게 됬습니다.

저도 Json-lib을 공부하던중 json.js를 사용했는데 이상하게 안되서 몇일을 삽질하다가
메일링을 보고 해결했는데 다른 분도 이런경험이 있다면 json.js를 빼고 1.5.1 rc를 다운받아서 하시면 해결될겁니다.
보니 사용법은 똑같으나 한번 확인하실려면 이곳을 보시고 확인하시면 되겠습니당.

다운로드

ps.아 그리고 보니 이젠 encoding과 decoding도 같이 지원한다고 하네요.:)

Posted by 전용우
TAG

댓글을 달아 주세요